<?php

namespace SGalinski\SgMail\Controller;

/***************************************************************
 *  Copyright notice
 *
 *  (c) sgalinski Internet Services (https://www.sgalinski.de)
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

use TYPO3\CMS\Core\Utility\ExtensionManagementUtility;
use TYPO3\CMS\Extbase\Mvc\Controller\ActionController;

/**
 * Controller for the mail templating service module
 */
class MailController extends ActionController {

	/**
	 *
	 */
	public function indexAction() {
		$path = ExtensionManagementUtility::extPath(
				'sg_mail'
			) . 'Configuration/Templates/';
		$results = scandir($path);

		$extensions = [];
		foreach ($results as $result) {
			if ($result == '.' || $result == '..') {
				continue;
			}

			is_dir($path . $result) ? $extensions[] = $result : NULL;
		}

		$this->view->assign('extensions', $extensions);
	}

	/**
	 *
	 *
	 */
	public function showTemplatesAction() {
		$extensionKey = $this->request->getArgument('ext_key');

		$extPath = ExtensionManagementUtility::extPath(
				'sg_mail'
			) . 'Configuration/Templates/' . $extensionKey . '/';
		$files = glob($extPath . '*.html');
		$this->view->assign('templates', array_map('basename', $files));
	}

	/**
	 *
	 *
	 */
	public function showMarkerAction() {

	}

}
